package com.crm.manager.service;

import com.crm.rely.backend.core.dto.custom.group.print.CustomGroupPointDto;
import com.crm.rely.backend.core.entity.custom.group.point.CustomGroupPointSaveEntity;
import com.crm.rely.backend.exception.ServiceException;

import java.util.List;

public interface CustomGroupPointService {
    CustomGroupPointDto getByGroupId(Long groupId) throws ServiceException;

    void save(CustomGroupPointSaveEntity entity) throws ServiceException;

    void deleteIn(List<Long> groupIds) throws ServiceException;

    void delete(Long groupId) throws ServiceException;

    List<CustomGroupPointDto> getByGroupIdIn(List<Long> groupIds) throws ServiceException;
}
